<template>
    <div>
        <form @submit.prevent="addNewFormOrder()">
            <div class="row g-3">
                <div class="col-xl-12">
                    <input required type="text" v-model="fullname" class="form-control bg-light border-0" placeholder="ชื่อ-นามสกุล" style="height: 55px;">
                </div>
                <div class="col-12">
                    <input required type="email" v-model="email" class="form-control bg-light border-0" placeholder="Email" style="height: 55px;">
                </div>
                <div class="col-12">
                    <input required type="text" v-model="line" class="form-control bg-light border-0" placeholder="line id" style="height: 55px;">
                </div>
                <div class="col-12">
                    <input required type="number" v-model="tel" class="form-control bg-light border-0" placeholder="เบอร์โทรศัพท์" style="height: 55px;" >
                </div>

                <div class="col-12">
                    <textarea required class="form-control bg-light border-0" rows="3" placeholder="คำอธิบาย" v-model="note"></textarea>
                </div>
                <div class="col-12">
                    <button class="btn btn-primary w-100 py-3" type="submit">บันทึก</button>
                </div>
            </div>
        </form>
    </div>
</template>

<script>
import axios from 'axios';

export default {
    data(){
        return{
            fullname:'',
            email:'',
            line:'',
            tel:'',
            note:''
        }
    },
    methods:{
        addNewFormOrder(){
            axios.post('/api/formorder/create',{
                fullname: this.fullname,
                email: this.email,
                line: this.line,
                tel: this.tel,
                note: this.note
            }).then(response =>{
                // console.log(response.data);
                Swal.fire(
                    'บันทึกข้อมูลสำเร็จ!',
                    '',
                    'success'
                )
            }).catch(err =>{
                console.log(err);
            })
        }
    }

}
</script>

<style>

</style>
